This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1257614 - Any kernel beyond 4.1.3 introduces UI freezes in java applications [NEEDINFO]
Any kernel beyond 4.1.3 introduces UI freezes in java applications
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 08:57 EDT by bugs
Modified: 2015-11-23 12:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:12:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description bugs 2015-08-27 08:57:43 EDT
Description of problem:

I have been running Intellij IDEA on Fedora 22 successfully for some time. Recently, after a dnf update upgraded the kernel, the UI began to freeze. It's repeatable...*every* time I start it.

I booted back into 4.1.3 and the freeze happened again once, but not after that. Booted into both 4.1.4 and 4.1.5 and it happens again *every* time.

If I attached to the main process with strace, I get:

futex(0x7fe0f577d9d0, FUTEX_WAIT, 3459, NULL

If, however, I attach with strace -f to follow subprocesses, the UI becomes responsive again *every* time. It's so reliable that I can start "strace -f -p <my main intellij process id> >/dev/null 2>&1" and continuing working as long as I like. If I kill this strace process, the UI hangs again...typically within 1 to 10 seconds.

I've insured no heavy IO operations are occurring with iotop and top. Nothing unusual. System is under very little load and it's a very capable system (32 GB ram, Intel(R) Xeon(R) CPU E5-1650 v3 @ 3.50GHz.

Version-Release number of selected component (if applicable):

4.1.4, 4.1.5
How reproducible:

Starting Intellij version 14.1.4 using either Oracle jre 1.7 or 1.8.

Steps to Reproduce:
1. Start from console with ./idea.sh
2. Watch freeze
3. Use jps or ps -ef | grep java to find the main Intellij process
4. Attach to the pid using strace -f -p <pid> and watch the UI suddenly come back to life.

Actual results:

Complete UI process freeze.

Expected results:

Working application.
Additional info:
Comment 1 Justin M. Forbes 2015-10-20 15:22:39 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Fedora Kernel Team 2015-11-23 12:12:23 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.